Bug 1573535 - Truncated banners during installation
Summary: Truncated banners during installation
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-logos
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1625435 1678812 1711088 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 15:55 UTC by Dr. David Alan Gilbert
Modified: 2020-08-11 13:04 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
screenshot showing truncation (193.66 KB, image/png)
2018-05-01 15:55 UTC, Dr. David Alan Gilbert
no flags Details
Screenshot vs Original images (810.30 KB, image/png)
2019-08-22 22:52 UTC, Danny Lee
no flags Details

Description Dr. David Alan Gilbert 2018-05-01 15:55:02 UTC
Created attachment 1429296 [details]
screenshot showing truncation

Description of problem:
A couple of the banners displayed at the bottom during installation are truncated on the right for me.  The two I noticed are the 'Need to do some work? Install LibreOffice t*o* edit...' (see screenshot) and also the Rhythmbox banner.
Since the hotdog is just fine, I'd say it's low priority.

Version-Release number of selected component (if applicable):
28 gold

How reproducible:
Not sure

Steps to Reproduce:
1. Start a VM with a Fedora 28 everything ISO (Gold); the VM is running in virtmanager on f28 with virtio-gpu selected
2. The virt-manager window is 1093x938 pixels, so I suspect it's a 1024x768 display.
3. I'd selected xfce desktop and some dev tools for the packages

Actual results:
truncati - see attachment

Expected results:
No truncation

Additional info:

Comment 1 Vendula Poncova 2018-10-31 10:30:09 UTC
*** Bug 1625435 has been marked as a duplicate of this bug. ***

Comment 2 Michael Erwin 2018-11-12 15:41:19 UTC
So this issue is now being reported in reviews of Fedora. It just looks bad form not to fix this... since all it will take is a few moments with a graphic editor.

Comment 3 Michael Erwin 2018-11-30 20:18:09 UTC
Based on the Anaconda documentation, (https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/anaconda_customization_guide/index)

 the files that are problematic are in the live ISO file system in /usr/share/anaconda/pixmaps/rnotes/en/

It's interesting that in one part of the documentation it states these should be PNG files, and then on 

https://fedoraproject.org/wiki/How_to_Create_an_Anaconda_Banner

it shows they should be SVG, which could explain the messy images.

Comment 4 Vendula Poncova 2018-12-03 13:50:58 UTC
Hi Michael,

I think that Anaconda supports both formats, however SVG files may not be properly displayed, for example, if a font is missing.

I have tested the bug on Rawhide and the text is not displayed at all in some languages (English, for example, but Ukrainian is fine). When I tried to display the images on my system, I could see the "truncated banners". However, the banners are not truncated, the font is just too large. I guess that there might be a problem with the Comfortaa font.

Reassigning to fedora-logos.

Comment 5 Martin Kolman 2019-02-19 16:33:14 UTC
*** Bug 1678812 has been marked as a duplicate of this bug. ***

Comment 6 Ben Cotton 2019-02-19 17:11:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 7 Miro Hrončok 2019-05-17 10:11:37 UTC
*** Bug 1711088 has been marked as a duplicate of this bug. ***

Comment 8 Danny Lee 2019-08-22 21:03:19 UTC
This actually seems like an html issue to me.  The banners are 700px wide and would display properly on a wide enough screen (960 width and above?)  The issue, for me, is when installing in VMs, where the screen may just be half that.  

The options that come to mind are:

1. In the html/css use width: 100%, rather than a defined width: 700px when displaying the banner.  This may cause an issue when the screen is smaller by proportionally reducing the height and making the top and bottom padding to wide.  Again, this could be adjusted using a percentage or according to the width of the screen.
2. Hide the banner under the width at which it will display at full width.
3. Provide the option to have an alternative image for smaller screen sizes.

Comment 9 Danny Lee 2019-08-22 22:52:01 UTC
Created attachment 1607148 [details]
Screenshot vs Original images

This is a set of screenshots from installations, along with the original banner images from the /usr/share/anaconda/pixmaps/rnotes/en directory.

Comment 10 Danny Lee 2019-08-22 23:19:15 UTC
My apologies to the CC:list for the email notifications.

After further research, please strike my last comment. The images are not displayed with html/css as I had assumed.  They seem to be using gtk.box, which appears to have some kind of css node attached to it, but no <img width> tag.  It does not look easily adjustable, but I know about .05% about python/gtk/.box.

In addition, the images were not optimally designed. I attached an image to the bug report.  Screenshots are on top, original banner images from /usr/share/anaconda/pixmaps/rnotes/en/.

A/B: Noticed the the blue box behind the installer, that is 750 px, the original size of the image.  Also, note the heavily right aligned original image.  

C: This image also has too little space on the right side.  I believe the gtk.box adds a few pixels of padding to the image which pushes the original image down and to the right just a few pixels, but enough to cut off the right side of the image.

D: This is the best designed image and only gets cut off when the screen is made extremely narrow.

E: This banner was saved with the text cut off on the right side.  Probably since the installer's banner (rnote/ransom note) system was first made.

My thought is at the very minimum, new banners should be designed by the Design SIG to have adequate padding to accommodate all but the most narrow of screens.  A coded fix could be done by polling the display width and using gtk.gdk.Pixbuf to resize the images before they go into "notebook" array(or mapping?).

I hope that this information helps, and that it might be possible to bring back the banners in a future release because they are incredibly useful, even though they haven't been used much.  If a system could be made to submit new banners for upcoming Fedora features (silverblue and coreos come to mind), you basically have a captive audience for a good 10-15 minutes.

Comment 11 Ben Cotton 2020-04-30 21:18:03 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora Admin user for bugzilla script actions 2020-06-03 02:48:35 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 13 Ben Cotton 2020-08-11 13:04:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.


Note You need to log in before you can comment on or make changes to this bug.